Subject: Re: [PATCH v3 0/6] Implement a batched fsync option for core.fsyncObjectFiles

From: Christoph Hellwig <[email-masked]>
Date: Tue, 14 Sep 2021 07:49:26 +0200

On Tue, Sep 14, 2021 at 03:38:39AM +0000, Neeraj K. Singh via GitGitGadget wrote:
> NOTE: Based on Christoph Hellwig's comments, the 'batch' mode is not correct
> on Linux, since sync_file_range does not provide data integrity guarantees.
> There is currently no kernel interface suitable to achieve disk flush
> batching as is, but he suggested that he might implement a 'syncfs' variant
> on top of this patchset. This code is still useful on macOS and Windows, and
> the config documentation makes that clear.

If this series lands I can give the syncfs variant a spin.  It might not
be the best option for gt hosting services, but I think it will be very
helpful for typical developer workstations.